# Created by pyp2rpm-3.3.2
%global pypi_name construct

Name:           python-%{pypi_name}
Version:        2.8.8
Release:        1%{?dist}
Summary:        A powerful declarative parser/builder for binary data

License:        MIT
URL:            http://construct.readthedocs.org
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
Construct 2.8 Construct is a powerful **declarative** parser (and builder) for
binary data.Instead of writing *imperative code* to parse a piece of data, you
declaratively define a *data structure* that describes your data. As this data
structure is not code, you can use it in one direction to *parse* data into
Pythonic objects, and in the other direction, build objects into binary
data.The...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Construct 2.8 Construct is a powerful **declarative** parser (and builder) for
binary data.Instead of writing *imperative code* to parse a piece of data, you
declaratively define a *data structure* that describes your data. As this data
structure is not code, you can use it in one direction to *parse* data into
Pythonic objects, and in the other direction, build objects into binary
data.The...

%package -n python-%{pypi_name}-doc
Summary:        construct documentation
%description -n python-%{pypi_name}-doc
Documentation for construct

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
%py3_build
# generate html docs 
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

#%check
#%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE

%changelog
* Thu Apr 16 2020 Jakub Jelen <jjelen@redhat.com> - 2.8.8-1
- Initial package.

